//
//  GMFaceSegmentView.h
//  Gengmei
//
//  Created by 朱璇 on 2019/12/17.
//  Copyright © 2019 更美互动信息科技有限公司. All rights reserved.
//


typedef NS_ENUM(NSInteger, GMScanAnimationType) {
    GMScanAnimationTypeScanFace = 0,  // AI侧脸
    GMScanAnimationTypeScanSkin = 1,   //  AI测肤
    GMScanAnimationTypeGeneMemory = 2,   //  AI面孔
};

@protocol GMFaceSegmentViewDelegate <NSObject>

-(void)segmentViewItemDidSelected:(GMScanAnimationType)type;

@end

@interface GMfaceTypeCell : GMCollectionViewCell
- (void)setCellSelected:(BOOL)selected;
@property (nonatomic, assign) BOOL isSelected;


@end

@interface GMFaceSegmentView : GMView
@property (nonatomic, weak) id<GMFaceSegmentViewDelegate> delegate;
// 选中的type
@property (nonatomic, assign) GMScanAnimationType selectedType;

- (void)setSelectedCellWithType:(GMScanAnimationType)type;

@end

